// Header File
// Created 6/7/2004; 7:21:08 PM

#ifndef _EXPLOSION_H_
#define _EXPLOSION_H_

#include "gfx.h"

typedef struct {

	Point location;
	Angle rotation;

	Point addTo0;
	Point addTo1;

	Line shrapnel[16];
	int time;

} Explosion;

void makeFloorExplosion(Explosion *this, short radius);
void makeCircleExplosion(Explosion *this, short radius);
void doExplosionStuff(Camera *camera, Explosion *this);

#endif